Miércoles, 28 Junio 2017

[RTO]Imposible Acceso a usuarios desde I Explorer

¡ Compartelo en tus REDES SOCIALES ! y siguenos en TWITTER

8 años 3 meses antes - 8 años 2 meses antes #1456 por futboldelujo
Ya estoy aquí, el novato de turno.

Parece que los usuarios de mi web no pueden acceder a su panel de usuarios o registrarse desde Internet Explorer (IE).

Yo he comprobado que desde IE6 no puedo acceder al portal para por ejemplo disfrutar de jomsocial. En cambio en Firefox y chrome no me da ningún problema.

Encontre este en un foro, pero antes de aplicarlo, quiero que opineis si sera por esa cuestión:

Hay muchos errores de este tipo revisando el login con el internet explorer y se ha tratado de solucionar en varias oportunidades siendo la mas adecuada una adoptada

En el index.php del template existe una instruccion que se llama mostread y en la mayoria de los templates bien sean free o comerciales aparece de la siguiente manera

<head>
<?php mosShowHead(); ?>
<meta http-equiv="Content-Type" content="text/html;><?php echo _ISO; ?>" />
<?php if ( $my->id ) { initEditor(); } ?>


siendo lo correcto que que aparezca asi

<head>
<?php if ( $my->id ) initEditor(); ?>
<meta http-equiv="Content-Type" content="text/html; <?php echo _ISO; ?>" />
<?php mosShowHead(); ?>

Al parecer hay un error en el explorer al reconocer la instruccion mosShowHead(); antes del identificador del usuario initEditor();


fuente: www.joomlaspanish.org/foros/archive/index.php?t-978.html

Gracias

Por favor, Identificarse para unirse a la conversación.

8 años 3 meses antes #1459 por dagget
Esa función es para Joomla! 1.0.x no para Joomla! 1.5 que es la versión de tu página web...

La cabecera básica de Joomla! 1.5 es esta:
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
<jdoc:include type="head" />
<link rel="stylesheet" href="templates/_system/css/general.css" type="text/css" />
<link rel="stylesheet" href="templates/<?php echo $this->template ?>/css/template.css" type="text/css" />
</head>

En i6 es lógico que no funcionen algunas cosas para la cual no tiene soporte pero yo he podido registrarme sin problemas en ie8, habrá que probar en ie7...

CEO at Joomla! Projects
CEO at GWErp
Linux user number #470399

Por favor, Identificarse para unirse a la conversación.

8 años 3 meses antes #1584 por futboldelujo
Pues nose, a muchos les falla.

Bueno gracias

Por favor, Identificarse para unirse a la conversación.

8 años 2 meses antes #1713 por futboldelujo
El problema es el siguiente:

Al intentar acceder a una Web con Internet Explor nos encontramos con el siguiente mensaje:

Internet Explorer no puede abrir el sitio http://www.la_url_del_sitio

Operación anulada

El problema se produce porque antes de terminar de cargar la estructura de la página, Internet Explorer detecta la actuación de un javascript que cambia esa estructura, por lo que incompatibiliza ambas acciones y no permite abrir la página.


habrá que convivir con ese problema, pero en fin. Parece que a muchos no les dice nada, y a otros si.

Sera de algún modulo o componente. Espero que con IE8 se acabe el problema, ya que aun hay muchos usuarios que utilizan el lento e inseguro IE

Por favor, Identificarse para unirse a la conversación.

8 años 2 meses antes #1715 por Dimar
Ofrece Firefox en descarga directa a tus usuarios :D y resuelto el problema. :) y si tienen dudas o desconfian, pasale un link de busqueda predefinida con google, algo asi como esto:

www.google.co.ve/search?hl=es&q=cual+es+...eb&btnG=Buscar&meta=

Exitos!!! ;)

Es mejor enseñar , que dar la solución. ;)

Desde cuando no haces un Backup de tu sitio?? :dry: y que estas esperando?

Por favor, Identificarse para unirse a la conversación.

8 años 2 meses antes #1719 por dagget
A mi me da que exactamente es con ie6 que no pueden acceder...en la cabecera de tu página si miramos el código fuente hay una docena de links javascript y algun ajax alguno de ellos es incompatible con el navegador, pero tranquilo la culpa no es tuya, es que hay gente que se cree que los navegadores se actualizan por que lo han hecho mas bonito y no es asi. Haz un aviso que si el usuario tiene ie6 que actualice el explorador y no tendra problemas.

CEO at Joomla! Projects
CEO at GWErp
Linux user number #470399

Por favor, Identificarse para unirse a la conversación.

8 años 2 meses antes - 8 años 2 meses antes #1721 por Dimar
"hay gente que se cree que los navegadores se actualizan por que lo han hecho mas bonito" jajaajajaajajaja de pana!!! pero bueno, hay que reflejar y dar a conocer a los Usuarios en nuestros proyectos web, la importancia de un navegador debidamente actualizado. Y si no saben, entonces redactar un articulo para tal fin.

Hace tiempo vi un plugins que redireccionaba al usuario si utilizaba cierto navegador, no recuerdo el nombre. Creo que era solo para el Joomla 1.0.5.

Cuando tenga chance chequeo a ver si lo encuentro.

Exitos!!! ;)

Es mejor enseñar , que dar la solución. ;)

Desde cuando no haces un Backup de tu sitio?? :dry: y que estas esperando?

Por favor, Identificarse para unirse a la conversación.

8 años 2 meses antes #1734 por futboldelujo
Parece que ya esta solucionado, y posiblemente sea porque mi componente Jomsocial estaba algo anticuado. COn la ultima versión no me dado ningun problema, y hasta con IE 6 puedeo entrar correctamente.

Por favor, Identificarse para unirse a la conversación.